public class HFile extends HSource
| Constructor and Description |
|---|
HFile(java.lang.String name,
nxm.sys.lib.BaseFile bf) |
| Modifier and Type | Method and Description |
|---|---|
boolean |
canHandleRequest(java.lang.String uri)
Returns true if this data source can handle the request for the specified uri.
|
static java.lang.String |
getContentType(java.lang.String ext,
java.lang.String def)
provide quick lookup for common MIME types.
|
static java.lang.String |
getControlWidget(nxm.sys.libg.GWidget gw,
int id,
nxm.sys.lib.Midas M) |
static java.lang.String |
getControlWidgetOrig(nxm.sys.libg.GWidget gw,
java.lang.String args,
nxm.sys.lib.Midas M) |
static void |
handle(nxm.sys.lib.BaseFile bf,
HPage hp,
java.lang.String args) |
boolean |
handleHeadRequest() |
static void |
handlePipe(nxm.sys.lib.DataFile bf,
HPage hp) |
void |
handleRequest(java.lang.String uri,
HPage hp)
Invoked to write the data from this source into the specified HPage.
|
static boolean |
isDebug() |
static void |
setDebug(boolean val) |
public static void setDebug(boolean val)
public static boolean isDebug()
public boolean canHandleRequest(java.lang.String uri)
HSourcecanHandleRequest in class HSourceuri - URL for this callpublic boolean handleHeadRequest()
handleHeadRequest in class HSourcepublic void handleRequest(java.lang.String uri,
HPage hp)
HSourcehandleRequest in class HSourceuri - The Request string containing the request parameters.hp - The HPage to write the data into.public static void handle(nxm.sys.lib.BaseFile bf,
HPage hp,
java.lang.String args)
public static java.lang.String getControlWidget(nxm.sys.libg.GWidget gw,
int id,
nxm.sys.lib.Midas M)
public static java.lang.String getControlWidgetOrig(nxm.sys.libg.GWidget gw,
java.lang.String args,
nxm.sys.lib.Midas M)
public static void handlePipe(nxm.sys.lib.DataFile bf,
HPage hp)
@InternalUseOnly
public static java.lang.String getContentType(java.lang.String ext,
java.lang.String def)
BaseFile.getMimeType() for full lookup.ext - filename extension to lookup MIME type (cannot be null)def - default value to return if no found in quick lookup table